---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "constellation_image Data Source - constellation"
subcategory: ""
description: |-
  Data source to retrieve the Constellation OS image reference for a given CSP and Attestation Variant.
---

# constellation_image (Data Source)

Data source to retrieve the Constellation OS image reference for a given CSP and Attestation Variant.

## Example Usage

```terraform
data "constellation_image" "example" {
  image_version       = "v2.13.0"
  attestation_variant = "aws-sev-snp"
  csp                 = "aws"
  region              = "eu-west-1"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `attestation_variant` (String) Attestation variant the image should work with. Can be one of:
  * `aws-sev-snp`
  * `aws-nitro-tpm`
  * `azure-sev-snp`
  * `gcp-sev-es`
- `csp` (String) CSP (Cloud Service Provider) to use. (e.g. `azure`)
See the [full list of CSPs](https://docs.edgeless.systems/constellation/overview/clouds) that Constellation supports.
- `image_version` (String) Version of the Constellation OS image to use. (e.g. `v2.13.0`)

### Optional

- `region` (String) Region to retrieve the image for. Only required for AWS.
The Constellation OS image must be [replicated to the region](https://docs.edgeless.systems/constellation/workflows/config),and the region must [support AMD SEV-SNP](https://docs.aws.amazon.com/AWSEC2/latest/UserGuide/snp-requirements.html), if it is used for Attestation.

### Read-Only

- `id` (String) The ID of this resource.
- `reference` (String) CSP-specific reference to the image.
